nvidia-computeG04-390.77-lp150.9.1.x86_64.rpm


Advertisement

Description

nvidia-computeG04 - NVIDIA driver for computing with GPGPU

Property Value
Distribution openSUSE Leap 15.0
Repository nVidia drivers all
Package name nvidia-computeG04
Package version 390.77
Package release lp150.9.1
Package architecture x86_64
Package type rpm
Installed size 70.75 MB
Download size 14.63 MB
Official Mirror http.download.nvidia.com
NVIDIA driver for computing with GPGPUs using CUDA or OpenCL.

Alternatives

Package Version Architecture Repository
nvidia-computeG04 - - -

Requires

Name Value
/sbin/ldconfig -
libc.so.6(GLIBC_2.2.5)(64bit) -
libdl.so.2 -
libdl.so.2()(64bit) -
libdl.so.2(GLIBC_2.0) -
libdl.so.2(GLIBC_2.1) -
libdl.so.2(GLIBC_2.2.5)(64bit) -
libm.so.6 -
libm.so.6()(64bit) -
libm.so.6(GLIBC_2.0) -
libm.so.6(GLIBC_2.2) -
libm.so.6(GLIBC_2.2.5)(64bit) -
libpthread.so.0 -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.0) -
libpthread.so.0(GLIBC_2.1) -
libpthread.so.0(GLIBC_2.2) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
librt.so.1()(64bit) -
librt.so.1(GLIBC_2.2.5)(64bit) -
nvidia-gfxG04-kmp = 390.77

Provides

Name Value
config(nvidia-computeG04) = 390.77-lp150.9.1
libOpenCL.so.1 -
libOpenCL.so.1()(64bit) -
libOpenCL.so.1(OPENCL_1.0) -
libOpenCL.so.1(OPENCL_1.0)(64bit) -
libOpenCL.so.1(OPENCL_1.1) -
libOpenCL.so.1(OPENCL_1.1)(64bit) -
libOpenCL.so.1(OPENCL_1.2) -
libOpenCL.so.1(OPENCL_1.2)(64bit) -
libOpenCL.so.1(OPENCL_2.0) -
libOpenCL.so.1(OPENCL_2.0)(64bit) -
libcuda.so.1 -
libcuda.so.1()(64bit) -
libnvidia-fatbinaryloader.so.390.77 -
libnvidia-fatbinaryloader.so.390.77()(64bit) -
libnvidia-ml.so.1 -
libnvidia-ml.so.1()(64bit) -
libnvidia-opencl.so.1 -
libnvidia-opencl.so.1()(64bit) -
libnvidia-ptxjitcompiler.so.1 -
libnvidia-ptxjitcompiler.so.1()(64bit) -
nvidia-computeG04 = 390.77-lp150.9.1
nvidia-computeG04(x86-64) = 390.77-lp150.9.1
x11-video-nvidiaG04:/usr/lib/libcuda.so -

Conflicts

Name Value
libOpenCL1 -
nvidia-computeG02 -
nvidia-computeG03 -

Download

Type URL
Binary Package nvidia-computeG04-390.77-lp150.9.1.x86_64.rpm
Source Package x11-video-nvidiaG04-390.77-lp150.9.1.nosrc.rpm

Install Howto

  1. Add the nVidia drivers repository:
    # zypper addrepo http://http.download.nvidia.com/opensuse/leap/15.0/ nvidia
  2. Install nvidia-computeG04 rpm package:
    # zypper install nvidia-computeG04

Files

Path
/etc/OpenCL/
/etc/OpenCL/vendors/nvidia.icd
/usr/bin/nvidia-cuda-mps-control
/usr/bin/nvidia-cuda-mps-server
/usr/bin/nvidia-modprobe
/usr/bin/nvidia-smi
/usr/lib/libOpenCL.so
/usr/lib/libOpenCL.so.1
/usr/lib/libOpenCL.so.1.0.0
/usr/lib/libcuda.so
/usr/lib/libcuda.so.1
/usr/lib/libcuda.so.390.77
/usr/lib/libnvidia-fatbinaryloader.so.390.77
/usr/lib/libnvidia-ml.so.1
/usr/lib/libnvidia-ml.so.390.77
/usr/lib/libnvidia-opencl.so.1
/usr/lib/libnvidia-opencl.so.390.77
/usr/lib/libnvidia-ptxjitcompiler.so.1
/usr/lib/libnvidia-ptxjitcompiler.so.390.77
/usr/lib64/libOpenCL.so
/usr/lib64/libOpenCL.so.1
/usr/lib64/libOpenCL.so.1.0.0
/usr/lib64/libcuda.so
/usr/lib64/libcuda.so.1
/usr/lib64/libcuda.so.390.77
/usr/lib64/libnvidia-fatbinaryloader.so.390.77
/usr/lib64/libnvidia-ml.so
/usr/lib64/libnvidia-ml.so.1
/usr/lib64/libnvidia-ml.so.390.77
/usr/lib64/libnvidia-opencl.so.1
/usr/lib64/libnvidia-opencl.so.390.77
/usr/lib64/libnvidia-ptxjitcompiler.so.1
/usr/lib64/libnvidia-ptxjitcompiler.so.390.77
/usr/share/man/man1/nvidia-cuda-mps-control.1.gz

Changelog

2018-07-23 - sndirsch@suse.com
- update to latest long lived branch version 390.77
* Improved compatibility with recent Linux kernels.
* Fixed an intermittent hang of Vulkan applications running fullscreen
when flipping is allowed.
* Removed informational messages that were printed by nvidia-modeset.ko
whenever a GPU device was allocated or freed.
* Fixed a bug that caused kwin OpenGL compositing to crash when
launching certain OpenGL applications.
2018-06-06 - sndirsch@suse.com
- update to latest long lived branch version 390.67
* Fixed a bug that could cause kernel panics when using Quadro SDI
Capture hardware.
* Fixed an intermittent crash when launching Vulkan applications.
* Fixed an intermittent crash when launching applications through Wine.
* Fixed a bug that caused the driver, in some low bandwidth DisplayPort
configurations, to not implicitly enable display dithering.  This
resulted in visible banding.
2018-05-23 - sndirsch@suse.com
- generate-service-file.sh: use https instead of ftp ...
- _service: updated via generate-service-file.sh
2018-05-17 - sndirsch@suse.com
- update to latest long lived branch version 390.59
* Added support for the following GPUs:
+ GeForce GTX 1050 with Max-Q Design
+ Quadro P3200
+ Quadro P4200
* Added support for X.Org xserver ABI 24 (xorg-server 1.20).
* Improved nvidia-bug-report.sh to check for kern.log which
is the default kernel log-file location for many Debian-based
Linux distributions.
* Fixed a bug which could cause X servers that export a Video
Driver ABI earlier than 0.8 to crash when running X11
applications which call XRenderAddTraps().
- workaround build failure of kernelrelease target on sle12-sp4
(boo#1093333)
2018-04-11 - sndirsch@suse.com
- replaced 'missing-exports-for-swiotlb.patch' with
NVIDIA's patch 'check-for-swiotlb_map_sg_attrs.patch' (boo#1088651)
2018-04-09 - sndirsch@suse.com
- missing-exports-for-swiotlb.patch
* temporary workaround for removed exports in Kernel 4.16
(boo#1088651)
2018-04-03 - sndirsch@suse.com
- update to latest long lived branch version 390.48
* fixes CVE-2018-6249 (bsc#1087819)
https://nvidia.custhelp.com/app/answers/detail/a_id/4649
* Added support for the following GPUs:
+ Quadro GV100
+ Tesla V100-SXM2-32GB
+ Tesla V100-PCIE-32GB
+ Tesla V100-DGXS-32GB
* Updated the driver to prevent G-SYNC from being enabled when a
Quadro Sync board is installed. G-SYNC and Quadro Sync were always
mutually incompatible features, and this change makes it easier to
use G-SYNC capable monitors on Quadro Sync configurations, as it is
now no longer necessary to manually disable G-SYNC.
* Further improved the fix for occasional flicker when using the X
driver's composition pipeline.  This was mostly fixed in 390.42,
but now the fix should be more complete.
* Improved compatibility with recent Linux kernels.
- superseded n_sle15.patch
2018-03-29 - sndirsch@suse.com
- /etc/modprobe.d/50-nvidia-default.conf does not exist on sle11
during build
2018-03-29 - sndirsch@suse.com
- supplements macro name changed again with rpm 4.14.1, i.e. sle15/
Leap15/TW (boo#1087460)
* %__ksyms_supplements --> %__kmp_supplements
2018-03-22 - sndirsch@suse.com
- apply n_sle15.patch now also on Leap 15.0

See Also

Package Description
nvidia-gfxG03-kmp-default-340.107_k4.12.14_lp150.11-lp150.9.1.x86_64.rpm NVIDIA graphics driver kernel module for GeForce 8xxx and newer GPUs
nvidia-gfxG04-kmp-default-390.77_k4.12.14_lp150.11-lp150.9.1.x86_64.rpm NVIDIA graphics driver kernel module for GeForce 400 series and newer
nvidia-glG03-340.107-lp150.9.1.x86_64.rpm NVIDIA GL libraries for OpenGL acceleration
nvidia-glG04-390.77-lp150.9.1.x86_64.rpm NVIDIA OpenGL libraries for OpenGL acceleration
nvidia-uvm-gfxG03-kmp-default-340.107_k4.12.14_lp150.11-lp150.9.1.x86_64.rpm NVIDIA Unified Memory kernel module
x11-video-nvidiaG03-340.107-lp150.9.1.x86_64.rpm NVIDIA graphics driver for GeForce 8xxx and newer GPUs
x11-video-nvidiaG04-390.77-lp150.9.1.x86_64.rpm NVIDIA graphics driver for GeForce 400 series and newer
Advertisement
Advertisement